be.fgov.ehealth.commons.enc.v2

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.commons.enc.v2.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.commons.enc.v2 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.commons.enc.v2

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CipherData` | `createCipherData()` Create an instance of `CipherData`
    `CipherReference` | `createCipherReference()` Create an instance of `CipherReference`
    `CipherValue` | `createCipherValue()` Create an instance of `CipherValue`
    `Digest` | `createDigest()` Create an instance of `Digest`
    `JAXBElement<EncryptedDataType>` | `createEncryptedData(EncryptedDataType value)` Create an instance of `JAXBElement``<``EncryptedDataType``>`
    `EncryptedDataType` | `createEncryptedDataType()` Create an instance of `EncryptedDataType`
    `JAXBElement<EncryptedDataType>` | `createEncryptedKey(EncryptedDataType value)` Create an instance of `JAXBElement``<``EncryptedDataType``>`
    `EncryptionMethod` | `createEncryptionMethod()` Create an instance of `EncryptionMethod`
    `EncryptionPolicy` | `createEncryptionPolicy()` Create an instance of `EncryptionPolicy`
    `ETKSearchCriteria` | `createETKSearchCriteria()` Create an instance of `ETKSearchCriteria`
    `Key` | `createKey()` Create an instance of `Key`
    `KeyInfo` | `createKeyInfo()` Create an instance of `KeyInfo`
    `JAXBElement<DataHandler>` | `createURI(DataHandler value)` Create an instance of `JAXBElement``<``DataHandler``>`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.commons.enc.v2

  - ### Method Detail

    - #### createCipherData

          public CipherData createCipherData()

      Create an instance of `CipherData`

    - #### createCipherReference

          public CipherReference createCipherReference()

      Create an instance of `CipherReference`

    - #### createDigest

          public Digest createDigest()

      Create an instance of `Digest`

    - #### createCipherValue

          public CipherValue createCipherValue()

      Create an instance of `CipherValue`

    - #### createEncryptedDataType

          public EncryptedDataType createEncryptedDataType()

      Create an instance of `EncryptedDataType`

    - #### createEncryptionMethod

          public EncryptionMethod createEncryptionMethod()

      Create an instance of `EncryptionMethod`

    - #### createEncryptionPolicy

          public EncryptionPolicy createEncryptionPolicy()

      Create an instance of `EncryptionPolicy`

    - #### createKeyInfo

          public KeyInfo createKeyInfo()

      Create an instance of `KeyInfo`

    - #### createKey

          public Key createKey()

      Create an instance of `Key`

    - #### createETKSearchCriteria

          public ETKSearchCriteria createETKSearchCriteria()

      Create an instance of `ETKSearchCriteria`

    - #### createURI

          public JAXBElement<DataHandler> createURI(DataHandler value)

      Create an instance of `JAXBElement``<``DataHandler``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``DataHandler``>`

    - #### createEncryptedData

          public JAXBElement<EncryptedDataType> createEncryptedData(EncryptedDataType value)

      Create an instance of `JAXBElement``<``EncryptedDataType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``EncryptedDataType``>`

    - #### createEncryptedKey

          public JAXBElement<EncryptedDataType> createEncryptedKey(EncryptedDataType value)

      Create an instance of `JAXBElement``<``EncryptedDataType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``EncryptedDataType``>`

Connector Packaging PERSPRACTICALNURSE 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.